View Issue Details

IDProjectCategoryView StatusLast Update
0032720CommunityOCCT:Codingpublic2021-12-11 15:26
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032720: Coding Rules - rename glext.h to OpenGl_glext.h
Descriptionglext.h coming with OCCT doesn't follow name conventions and should be renamed.

@sa https://dev.opencascade.org/content/error-openglglfunctionshxx-glexth
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0023238 closedkgv Open CASCADE TKOpenGl glext header conflicts with system headers 
related to 0023101 closedkgv Open CASCADE TKOpenGl possible glext header conflicts 

Activities

git

2021-12-07 12:21

administrator   ~0105717

Branch CR32720 has been created by kgv.

SHA-1: 70390ef3789d4693f401194963f04acb3357eec0


Detailed log of new commits:

Author: kgv
Date: Tue Dec 7 12:21:04 2021 +0300

    0032720: Coding Rules - rename glext.h to OpenGl_glext.h

kgv

2021-12-07 13:35

developer   ~0105720

Please raise the patch
- OCCT: branch CR32720.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32720-master-KGV/

smoskvin

2021-12-08 10:06

administrator   ~0105736

Warning on arm64 iphoneos

++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Project : CR0-WEEK-49_CR0-WEEK-49-OCCT-Arm64-iphoneos-static-opt-compile
++++++++++++++++++++++++++++++++++++++++++++++++++++++++

New warnings appears: 3
 
Type : Clang (LLVM based)
Category : -Wmacro-redefined
File Name : /Users/mnt/builds/CR0-WEEK-49_CR0-WEEK-49/OCCT_SRC/src/OpenGl/OpenGl_glext.h
Line : 2008
Message : GL_COPY_READ_BUFFER_BINDING macro redefined

git

2021-12-08 20:47

administrator   ~0105754

Branch CR32720 has been updated forcibly by kgv.

SHA-1: fb30d308d730bbc7c14df9ad2d6cc9e2b4de0817

kgv

2021-12-08 20:49

developer   ~0105756

Please check updated patch CR32720 (actually patch for 0032713 has been updated - please take CR32713_3).

smoskvin

2021-12-11 11:36

administrator   ~0105813

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105826

Branch CR32720 has been deleted by mnt.

SHA-1: fb30d308d730bbc7c14df9ad2d6cc9e2b4de0817

Related Changesets

occt: master 4af354e6

2021-12-07 09:21:04

kgv


Committer: smoskvin Details Diff
0032720: Coding Rules - rename glext.h to OpenGl_glext.h Affected Issues
0032720
mod - src/OpenGl/FILES Diff File
rm - src/OpenGl/glext.h Diff File
add - src/OpenGl/OpenGl_glext.h Diff File
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff File

Issue History

Date Modified Username Field Change
2021-12-07 12:18 kgv New Issue
2021-12-07 12:18 kgv Assigned To => kgv
2021-12-07 12:18 kgv Relationship added related to 0023238
2021-12-07 12:19 kgv Relationship added related to 0023101
2021-12-07 12:20 kgv Summary Coding Rules - rename glext.h to OpenGl_GlExt.h => Coding Rules - rename glext.h to OpenGl_glext.h
2021-12-07 12:21 git Note Added: 0105717
2021-12-07 13:35 kgv Test case number => N/A
2021-12-07 13:35 kgv Note Added: 0105720
2021-12-07 13:35 kgv Assigned To kgv => bugmaster
2021-12-07 13:35 kgv Status new => resolved
2021-12-07 13:35 kgv Status resolved => reviewed
2021-12-08 10:06 smoskvin Note Added: 0105736
2021-12-08 10:06 smoskvin Assigned To bugmaster => kgv
2021-12-08 10:06 smoskvin Status reviewed => assigned
2021-12-08 20:47 git Note Added: 0105754
2021-12-08 20:49 kgv Note Added: 0105756
2021-12-08 20:49 kgv Assigned To kgv => bugmaster
2021-12-08 20:49 kgv Status assigned => resolved
2021-12-08 20:49 kgv Status resolved => reviewed
2021-12-09 12:48 kgv Description Updated
2021-12-11 11:36 smoskvin Note Added: 0105813
2021-12-11 11:36 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 4af354e6
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105826